%define name bmpx
%define version 0.11.3
%define release 1mdk

Summary: Next generation Beep Media Player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.berlios.de/bmpx/%{name}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://www.sosdg.org/~larne/w/BMPx
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: xine-plugins
#BuildRequires: dbus-devel >= 0.30
BuildRequires: libxine-devel
BuildRequires: gtk+2-devel
BuildRequires: libglade2.0-devel
BuildRequires: taglib-devel
BuildRequires: gamin-devel
BuildRequires: ImageMagick

%description
BMPx is the codename for the next-generation BMP. In general, users of
BMP should be familiar with BMPx right from the beginning, but there
will be new features and usage semantics changes as well. The code has
been rewritten ~95% from scratch, including the skinning engine and
the playback backend. A few utility functions and miscellaneous stuff
has been taken from the old codebase.


%prep
%setup -q

%build
%configure2_5x --disable-dbus
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command=" %{_bindir}/bmpx"\
 icon="%name.png" needs="X11" section="Multimedia/Sound"\
 mimetypes="audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav"\
 title="BMPx" longtitle="Play music"
EOF
mkdir -p %{buildroot}/{%{_liconsdir}/,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%name.png %{buildroot}/%{_liconsdir}/
convert -scale 32 icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 icons/%name.png %buildroot%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/icons/hicolor/48x48/apps/%name.png
%_mandir/man1/%name.1*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Sep 23 2005 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdk
- New release 0.11.3

* Wed Sep 21 2005 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdk
- initial package
